%define upstream_name    Perl-Version
%define upstream_version 1.013

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Parse and manipulate Perl version strings
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Slurp::Tiny)
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(Pod::Usage) >= 1.300.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Perl::Version provides a simple interface for parsing, manipulating and
formatting Perl version strings.

Unlike version.pm (which concentrates on parsing and comparing version
strings) Perl::Version is designed for cases where you'd like to parse a
version, modify it and get back the modified version formatted like the
original.

For example:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README examples
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/perl-reversion

%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.13.0-3.mga5
+ Revision: 744204
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.13.0-2.mga5
+ Revision: 685942
- Mageia 5 Mass Rebuild

* Tue Feb 25 2014 jquelin <jquelin> 1.13.0-1.mga5
+ Revision: 596841
- update to 1.013

* Fri Oct 18 2013 umeabot <umeabot> 1.11.0-3.mga4
+ Revision: 514103
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.11.0-2.mga3
+ Revision: 371714
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 1.11.0-1.mga1
+ Revision: 60362
- update to 1.011

* Sat Jan 22 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 32320
- mageia rebuild
- imported package perl-Perl-Version

